#include <iostream>
#include <cstdio>
#include <iomanip>

using namespace std;
int main()
{
freopen ( "Knownothing.in", "r", stdin );
freopen ( "Knownothing.out", "w", stdout );
long n,  t1,t2, s1,s2,s,sd,k,so, i;
double v1,t,tpr;
cin >> n ;
i = 1;
while ( i <= n )
{
cin >> t1>>t2>>s1>>s2>>s ;
v1=(double)s1/t1;

   if ( s1>=s ) printf("%0.2f\n", s/v1);
   else
   if ( s2>=s1 ) cout << "NO\n";
   else{
       t=t1;
       s=s-s1;//осталось пройти
       sd=s1-s2;// продвижение за один такт
       k=s/sd;//количество тактов
       tpr = t2+s2/v1;//время простоя
       so=s%sd;//остаток от полного такта
       if( so!=0 )t+=tpr;//учесть простой в неполном первом такте
       t=t+k*(tpr+sd/v1)+so/v1;//
       printf("%0.2f\n",t);

   }

i++;
}

return 0;
}
